<%@ Register TagPrefix="uc1" TagName="footer" Src="../UserControls/Footer.ascx" %>
<%@ Register TagPrefix="uc1" TagName="headerMember" Src="../UserControls/headerMember.ascx" %>
<%@ Register TagPrefix="uc1" TagName="LeftBarMember" Src="../UserControls/LeftBarMember.ascx" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="BlockedFriends.aspx.vb" Inherits="ISAP.BlockedFriends" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Blocked Friends</title>
		<meta content="Microsoft Visual Studio.NET 7.0" name="GENERATOR">
		<meta content="Visual Basic 7.0" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="..\Styles\Styles.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body MS_POSITIONING="GridLayout" topmargin="0" leftmargin="0" rightmargin="0" bottommargin="0">
		<!-- HEADER -->
		<uc1:headerMember id="HeaderMember1" runat="server"></uc1:headerMember>
		<!-- HEADER -->
		<!-- MAIN TABLE HOUSING LEFT BAR AND CONTENT CELL -->
		<table cellpadding="0" cellspacing="0" border="0" width="100%">
			<tr>
				<!-- LEFT BAR -->
				<td bgcolor="#e4e4e4" valign="top">
					<uc1:LeftBarMember id="LeftBarMember1" runat="server"></uc1:LeftBarMember>
					<FORM runat="server" id="Form1" method="post">
					&nbsp;
				</td>
				<!-- CONTENT CELL -->
				<td valign="top" width="100%">
					<br>
					<table cellSpacing="0" cellPadding="0" width="98%" align="center">
						<tr>
							<td class="PageHeading">
								<table cellpadding="0" cellspacing="0" width="100%">
									<tr>
										<td align="left" class="PageHeading">Blocked Friends</td>
										<td align="right" class="PageHeading"><a href="javascript: history.go(-1)">&lt;&lt; 
												Back</a></td>
									</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td>&nbsp;</td>
						</tr>
						<%if strUnblocked > "" then%>
						<tr>
							<td class="Note">The following people have been Unblocked.
								<ul>
									<%=strUnblocked%>
								</ul>
							</td>
						</tr>
						<%end if%>
						<tr>
							<td>
								<asp:Label id="lblNoData" runat="server" CssClass="NoteCaption">You have not blocked any of your friends.</asp:Label>
								<asp:Panel ID="pnlForm" Runat="server">
									<asp:Label id="lblTitle" runat="server" CssClass="NoteCaption">Following is a list of members you have blocked to post messages(Guestbook & Private Messages). Check the members and click on Unblock to update.</asp:Label>
									<BR>
									<BR>
									<asp:DataGrid id="grdBlocked" runat="server" CssClass="Body" AllowPaging="True" AutoGenerateColumns="False" Width="50%">
										<AlternatingItemStyle CssClass="AltRow"></AlternatingItemStyle>
										<ItemStyle CssClass="Body"></ItemStyle>
										<HeaderStyle CssClass="GridHeading"></HeaderStyle>
										<Columns>
											<asp:BoundColumn DataField="Name" Visible="False"></asp:BoundColumn>
											<asp:HyperLinkColumn DataNavigateUrlField="Username" DataNavigateUrlFormatString="MemberDets.aspx?user={0}" DataTextField="Name" ItemStyle-Width="100%" SortExpression="Name" HeaderText="Name"></asp:HyperLinkColumn>
											<asp:TemplateColumn ItemStyle-HorizontalAlign="Center" HeaderText="Unblock">
												<HeaderTemplate>
													<input type="checkbox" id="chkAll" onclick="CheckAll()">
												</HeaderTemplate>
												<ItemTemplate>
													<asp:CheckBox ID="chkUnblock" AutoPostBack="False" Runat="server"></asp:CheckBox>
												</ItemTemplate>
											</asp:TemplateColumn>
										</Columns>
										<PagerStyle Mode="NumericPages"></PagerStyle>
									</asp:DataGrid>
									<BR>
									<asp:Button id="btnUnblock" runat="server" CssClass="sButton" Text="Unblock"></asp:Button>
									<INPUT class="sButton" onclick="window.location = 'Friends.aspx'" type="button" value="Cancel">
								</asp:Panel>
							</td>
						</tr>
					</table>
				</td>
				<!-- CONTENT CELL -->
			</tr>
			</FORM>
		</table>
		<!-- FOOTER -->
		<uc1:footer id="footer1" runat="server"></uc1:footer>
		<!-- FOOTER -->
		<script>
			function CheckAll()
			{
				
				for(i=0;i<document.Form1.length;i++)
				{
					if(document.Form1.elements[i].type == "checkbox")
					 {
					 
					  if(document.Form1.elements[i].name.indexOf("grdBlocked") == 0)
					   document.Form1.elements[i].checked = document.Form1.chkAll.checked
					 }
				}
			
			}
			function Unchk()
			{
				var chk
				chk=false;
				for(i=0;i<document.Form1.length;i++)
				{
					if(document.Form1.elements[i].type == "checkbox")
					 {
					 
					  if(document.Form1.elements[i].name.indexOf("grdBlocked") == 0)
					   if (document.Form1.elements[i].checked==true)
						{	
							chk=true;
						}
					 }
				}
				if (chk==false)
				{
					document.Form1.chkAll.checked=false;
				}
				else
				{
					document.Form1.chkAll.checked=true;
				}
			
			}
			function Mess()
			{
				if (document.Form1.chkAll.checked==true)
				{
					return confirm('Are you sure you want to Unblock the selected friends?')
				}
				else
				{
					alert("Please check the member whom you want to Unblock");
					return false;
				}
			}
		</script>
	</body>
</HTML>
