<%@ Page Language="vb" AutoEventWireup="false" Codebehind="MessageBox.aspx.vb" Inherits="ISAP.MessageBox" %>
<%@ Register TagPrefix="uc1" TagName="LeftBarMember" Src="../UserControls/LeftBarMember.ascx" %>
<%@ Register TagPrefix="uc1" TagName="headerMember" Src="../UserControls/headerMember.ascx" %>
<%@ Register TagPrefix="uc1" TagName="footer" Src="../UserControls/Footer.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Message Board</title>
		<meta content="Microsoft Visual Studio.NET 7.0" name="GENERATOR">
		<meta content="Visual Basic 7.0" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="..\Styles\Styles.css" type="text/css" rel="stylesheet">
		<script>
			function textLimit(field, maxlen)
			{
				if (field.value.length > maxlen)
				alert('The message text can\'t be more than ' + maxlen + ' characters');
				if (field.value.length > maxlen)
				field.value = field.value.substring(0, maxlen);
			}
		</script>
	</HEAD>
	<body MS_POSITIONING="GridLayout" topmargin="0" leftmargin="0" rightmargin="0" bottommargin="0">
		<!-- HEADER -->
		<uc1:headerMember id="HeaderMember1" runat="server"></uc1:headerMember>
		<!-- HEADER -->
		<!-- MAIN TABLE HOUSING LEFT BAR AND CONTENT CELL -->
		<table cellpadding="0" cellspacing="0" border="0" width="100%">
			<tr>
				<!-- LEFT BAR -->
				<td bgcolor="#e4e4e4" valign="top">
					<uc1:LeftBarMember id="LeftBarMember1" runat="server"></uc1:LeftBarMember>
					<FORM runat="server" id="Form1" method="post">
					&nbsp;
				</td>
				<!-- CONTENT CELL -->
				<td valign="top" width="100%">
					<br>
					<table cellpadding="2" cellspacing="0" align="center" width="98%">
						<tr>
									<td class="PageHeading">
									<table cellpadding=0 class="PageHeading" cellspacing=0 width=100%>
										<tr>
											<td align=left><asp:Label ID="lblNetworkName" Runat="server"></asp:Label>
											:: Message Board</td>
											<td align=right><A href="javascript: NetworkDets('<%=strNID%>')">Network Homepage</A></td>
										</tr>
									</table>
										
									</td>
						</tr>
						<tr>
							<td>&nbsp;</td>
						</tr>
						<%if strMsg > "" then%>
						<tr>
							<td class="NoteCaption"><%=strMsg%></td>
						</tr>
						<tr>
							<td>&nbsp;</td>
						</tr>
						<%end if%>
						<asp:Panel ID="pnlData" Runat="server" Visible="True">
							<TR>
								<TD class="body" align="left">
									<asp:Label id="lblMsgStatus" Runat="server" Visible="true" CssClass="NoteCaption"></asp:Label>&nbsp;
									<B><A href="javascript: PostMsg('<%=strNID%>')">Post New</A>
										<asp:DataGrid id="grdMessages" runat="server" Visible="True" CssClass="Body" AllowPaging="True" AllowSorting="True" AutoGenerateColumns="False" Width="100%" CellPadding="2">
											<ItemStyle Wrap="False" CssClass="Body"></ItemStyle>
											<AlternatingItemStyle Wrap="False" CssClass="AltRow"></AlternatingItemStyle>
											<HeaderStyle CssClass="GridHeading" Wrap="False"></HeaderStyle>
											<PagerStyle Mode="NumericPages"></PagerStyle>
											<Columns>
												<asp:TemplateColumn ItemStyle-Width="60%" HeaderText="Subject" SortExpression="Subject">
													<ItemTemplate>
														<a href="ViewMesg.aspx?MsgID=<%# DataBinder.Eval(Container.DataItem, "NtwMsgID")%>"><%# DataBinder.Eval(Container.DataItem, "Subject")%></a>
													</ItemTemplate>
												</asp:TemplateColumn>
												<asp:TemplateColumn ItemStyle-Width="15%" HeaderText="Posted By" SortExpression="PostedByName">
													<ItemTemplate>
														<a href="MemberDets.aspx?user=<%# DataBinder.Eval(Container.DataItem, "PostedByName")%>"><%# DataBinder.Eval(Container.DataItem, "PostedByName")%></a>
													</ItemTemplate>
												</asp:TemplateColumn>
												<asp:BoundColumn ItemStyle-Width="25%" DataField="PostedDate" SortExpression="PostedDate" HeaderText="Posted On" DataFormatString="{0:dd-MMM-yyyy hh:mm}"></asp:BoundColumn>
												<asp:TemplateColumn>
													<ItemTemplate>
														<asp:LinkButton ID=lnkRemove CommandName=Remove Runat=server>Remove</asp:LinkButton>
													</ItemTemplate>
												</asp:TemplateColumn>
											</Columns>
										</asp:DataGrid><br><br>
										<asp:Label id="lblMsgNoData" Runat="server"></asp:Label>
										<asp:TextBox id="hdnSortKey" Runat="server" Visible="False"></asp:TextBox></B></TD>
							</TR>
						</asp:Panel>
						<asp:Panel ID="pnlForm" Runat="server" Visible="False">
							<TR>
								<TD class="SubHeading">Post Message
								</TD>
							</TR>
							<tr>
								<td class=Err><FONT color=#ff0000><STRONG><EM>( * indicates mandatory 
									fields)</EM></STRONG></FONT>
								</td>
							</tr>
							<TR>
								<TD>&nbsp;</TD>
							</TR>
							<TR>
								<TD class="frmCaption" style="HEIGHT: 28px">Subject<FONT color="#ff0000">*</FONT>
									<asp:TextBox MaxLength=150 id="txtSubject" runat="server" Width="374px"></asp:TextBox>&nbsp;
									<asp:RequiredFieldValidator id="reqValSubject" runat="server" CssClass="err" Display="Dynamic" ControlToValidate="txtSubject"></asp:RequiredFieldValidator></TD>
							</TR>
							<TR>
								<TD class="frmCaption">Message<FONT color="#ff0000">*</FONT><BR>
									<asp:TextBox id="txtMessage" runat="server" TextMode="MultiLine" Rows="4" Columns="50"></asp:TextBox>&nbsp;
									<asp:RequiredFieldValidator id="reqValMessage" runat="server" CssClass="err" Display="Dynamic" ControlToValidate="txtMessage"></asp:RequiredFieldValidator></TD>
							</TR>
							<TR>
								<TD class="frmCaption">&nbsp;</TD>
							</TR>
							<TR>
								<TD class="frmCaption">
									<asp:Button id="btnSave" runat="server" CssClass="sButton" Text="Save"></asp:Button>&nbsp;
									<INPUT class=sButton id=btnCancel onclick="MessageBox('<%=strNID%>')" type=button value=Cancel name=btnCancel>
								</TD>
							</TR>
							<asp:TextBox id="hdnReplyOf" Runat="server" Visible="False"></asp:TextBox>
						</asp:Panel>
						<asp:TextBox id="hdnNetworkID" Runat="server" Visible="False"></asp:TextBox>
					</table>
				</td>
				<!-- CONTENT CELL -->
			</tr>
			</FORM>
		</table>
		<form name="tmpForm" id="tmpForm" method="post">
			<input type="hidden" name="TheID" id="TheID"> <input type="hidden" name="Mode" id="Mode">
		</form>
		<script language="javascript">
				function MessageBox(str)
				{
				 document.tmpForm.TheID.value = str;
				 document.tmpForm.action = 'MessageBox.aspx';
				 document.tmpForm.submit(); 
				}
				function NetworkDets(str)
				{
				 document.tmpForm.TheID.value = str;
				 document.tmpForm.action = 'NetworkDets.aspx';
				 document.tmpForm.submit(); 
				}
				function PostMsg(str)
				{
				 document.tmpForm.TheID.value = str;
				 document.tmpForm.Mode.value = "NewPost";
				 document.tmpForm.action = 'MessageBox.aspx';
				 document.tmpForm.submit(); 
				}
		</script>
		<!-- FOOTER -->
		<uc1:footer id="footer1" runat="server"></uc1:footer>
		<!-- FOOTER -->
	</body>
</HTML>
